Bug 601379 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox wa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:ef57f36bc7a70db323b48e74851...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 15:53 EDT by Randall "Randy" Berry
Modified: 2010-08-11 15:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-11 15:25:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.78 KB, text/plain)
2010-06-07 15:53 EDT, Randall "Randy" Berry
no flags Details

  None (edit)
Description Randall "Randy" Berry 2010-06-07 15:53:19 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox
comment: Browsing the web clicked a link and boom, no more Firefox. Don't know how to reproduce, it has never happened before and has not happened since.
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.6/firefox
global_uuid: ef57f36bc7a70db323b48e7485123d8a840b25cd
kernel: 2.6.33.5-112.fc13.i686.PAE
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Randall "Randy" Berry 2010-06-07 15:53:21 EDT
Created attachment 421933 [details]
File: backtrace
Comment 2 d. johnson 2010-07-28 13:33:31 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update <package>' or using the graphical updater, Software Update.

Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.



#3  <signal handler called>
No symbol table info available.
#4  JS_DHashTableOperate (table=0x0, key=0xb3dec080, op=JS_DHASH_LOOKUP)
    at jsdhash.cpp:606
        keyHash = <value optimized out>
        entry = <value optimized out>
        size = <value optimized out>
        deltaLog2 = <value optimized out>
#5  0x03754c30 in FindLink (this=0xb7166080, aJSContext=0xb39bda00, aObject=
    0xa8e3c7c0, aWay=1) at xpcmaps.h:683
        entry = <value optimized out>
#6  nsXPConnect::UpdateXOWs (this=0xb7166080, aJSContext=0xb39bda00, aObject=
    0xa8e3c7c0, aWay=1) at nsXPConnect.cpp:2067
        al = {<nsAutoLockBase> = {<No data fields>}, mLock = 0xb71660f0}
        list = <value optimized out>
        wn = 0xa8e3c7c0
        scope = <value optimized out>
        map = 0xb4113188
        cur = <value optimized out>
#7  0x03780835 in XPC_WN_JSOp_Clear (cx=0xb39bda00, obj=0xb3dec080)
    at xpcwrappednativejsops.cpp:1369
        xpc = <value optimized out>
        wrapper = 0xa8e3c7c0
#8  0x002e52df in JS_ClearScope (cx=0xb39bda00, obj=0xb3dec080)
    at jsapi.cpp:3936
No locals.
#9  0x03bade37 in nsJSContext::ClearScope (this=0xb3b2ec00, aGlobalObj=
    0xb3dec080, aClearFromProtoChain=1) at nsJSEnvironment.cpp:3388
        obj = 0xb3dec080
        ar = {mContext = 0xb39bda00, mSaveDepth = 0}
        stack = {<nsCOMPtr_base> = {mRawPtr = 0xb716609c}, <No data fields>}
#10 0x03bca9f7 in nsGlobalWindow::ReallyClearScope (this=0xa8ecaf20, 
    aRunnable=0x0) at nsGlobalWindow.cpp:960
        scx = <value optimized out>
        jsscx = {<nsCOMPtr_base> = {mRawPtr = 0xb3b2ec00}, <No data fields>}
        lang_id = <value optimized out>




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Randall "Randy" Berry 2010-08-11 15:25:04 EDT
I have not been able to reproduce this bug. Perhaps it was just a fluke. If I
happens again I will be sure to make not of exactly what it was that did it.
Closing this bug I will open another if it happens again.

Note You need to log in before you can comment on or make changes to this bug.